Bug 1084460 - cannot delete a system group using hammer
Summary: cannot delete a system group using hammer
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hammer
Version: Nightly
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: Unspecified
Assignee: Dustin Tsang
QA Contact: Elyézer Rezende
URL: http://projects.theforeman.org/issues...
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-04 11:53 UTC by Tomas Lestach
Modified: 2016-04-22 16:49 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-07-02 14:14:42 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 5432 None None None 2016-04-22 16:49 UTC

Description Tomas Lestach 2014-04-04 11:53:52 UTC
Description of problem:
There's no possibility to delete a system group using hammer.

Version-Release number of selected component (if applicable):
rubygem-hammer_cli_foreman-0.1.0-6.el6sat.noarch
rubygem-hammer_cli_katello-0.0.3-12.el6sat.noarch
rubygem-hammer_cli-0.1.0-5.el6sat.noarch
rubygem-hammer_cli_foreman_tasks-0.0.2-2.el6sat.noarch

How reproducible:
always

Steps to Reproduce:
1. hammer systemgroup

Actual results:
Available subcommands:

Subcommands:
    copy                           
    create                        Create a system group
    info                          Show a system group
    list                          List system groups

Expected results:
Subcommand for systemgroup deletion.

Comment 1 RHEL Product and Program Management 2014-04-04 12:05:22 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 3 Lukas Pramuk 2014-04-04 12:14:19 UTC
rubygem-hammer_cli_foreman-0.1.0-6.el6sat.noarch
rubygem-hammer_cli_katello-0.0.3-13.el6sat.noarch
rubygem-hammer_cli-0.1.0-5.el6sat.noarch
rubygem-hammer_cli_foreman_tasks-0.0.2-2.el6sat.noarch

hammer system-group

Even newer hammer where command was renamed to "system-group" has no such subcommand.

Comment 4 Bryan Kearney 2014-04-24 14:20:53 UTC
Created redmine issue http://projects.theforeman.org/issues/5432 from this bug

Comment 6 Elyézer Rezende 2014-05-16 18:24:07 UTC
Verified:

1. # hammer host-collection create --name ahostcollection --organization-id 1
Host collection created
2. # hammer host-collection list --organization-id 1
---|-----------------|-------|------------
ID | NAME            | LIMIT | DESCRIPTION
---|-----------------|-------|------------
5  | ahostcollection | -1    |
4  | testcollection  | -1    |
---|-----------------|-------|------------
3. # hammer host-collection delete --name ahostcollection --organization-id 1
Host collection deleted
4. # hammer host-collection list --organization-id 1
---|----------------|-------|------------
ID | NAME           | LIMIT | DESCRIPTION
---|----------------|-------|------------
4  | testcollection | -1    |
---|----------------|-------|------------

Environment:

* apr-util-ldap-1.3.9-3.el6_0.1.x86_64
* candlepin-0.9.7-1.el6_5.noarch
* candlepin-scl-1-5.el6_4.noarch
* candlepin-scl-quartz-2.1.5-5.el6_4.noarch
* candlepin-scl-rhino-1.7R3-1.el6_4.noarch
* candlepin-scl-runtime-1-5.el6_4.noarch
* candlepin-selinux-0.9.7-1.el6_5.noarch
* candlepin-tomcat6-0.9.7-1.el6_5.noarch
* elasticsearch-0.90.10-4.el6sat.noarch
* foreman-1.6.0.7-1.el6sat.noarch
* foreman-compute-1.6.0.7-1.el6sat.noarch
* foreman-gce-1.6.0.7-1.el6sat.noarch
* foreman-libvirt-1.6.0.7-1.el6sat.noarch
* foreman-ovirt-1.6.0.7-1.el6sat.noarch
* foreman-postgresql-1.6.0.7-1.el6sat.noarch
* foreman-proxy-1.6.0.4-1.el6sat.noarch
* foreman-selinux-1.5.0-0.develop.el6sat.noarch
* foreman-vmware-1.6.0.7-1.el6sat.noarch
* katello-1.5.0-22.el6sat.noarch
* katello-ca-1.0-1.noarch
* katello-certs-tools-1.5.5-1.el6sat.noarch
* katello-installer-0.0.37-1.el6sat.noarch
* ldapjdk-4.18-6.el6.x86_64
* openldap-2.4.23-34.el6_5.1.x86_64
* openldap-clients-2.4.23-34.el6_5.1.x86_64
* perl-Mozilla-LDAP-1.5.3-4.el6.x86_64
* pulp-katello-plugins-0.2-1.el6sat.noarch
* pulp-nodes-common-2.3.1-0.4.beta.el6sat.noarch
* pulp-nodes-parent-2.3.1-0.4.beta.el6sat.noarch
* pulp-puppet-plugins-2.3.1-0.4.beta.el6sat.noarch
* pulp-rpm-plugins-2.3.1-0.4.beta.el6sat.noarch
* pulp-selinux-2.3.1-0.4.beta.el6sat.noarch
* pulp-server-2.3.1-0.4.beta.el6sat.noarch
* python-ldap-2.3.10-1.el6.x86_64
* ruby193-rubygem-ldap_fluff-0.2.2-2.el6sat.noarch
* ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
* ruby193-rubygem-runcible-1.0.8-1.el6sat.noarch
* rubygem-hammer_cli-0.1.0-12.el6sat.noarch
* rubygem-hammer_cli_foreman-0.1.0-12.el6sat.noarch
* rubygem-hammer_cli_foreman_tasks-0.0.2-5.el6sat.noarch
* rubygem-hammer_cli_katello-0.0.3-22.el6sat.noarch

Comment 7 Bryan Kearney 2014-07-02 14:09:50 UTC
This was delivered with 6.0.3, which is the Satellite 6 Beta.

Comment 8 Bryan Kearney 2014-07-02 14:10:04 UTC
This was delivered in 6.0.3, the Beta version of Satellite 6.0

Comment 9 Bryan Kearney 2014-07-02 14:14:42 UTC
This was delivered in the Satellite 6 Beta (6.0.3)


Note You need to log in before you can comment on or make changes to this bug.